#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int t, n, k;
    cin >> t >> n >> k;
    vector<int> v(n);
    for(int i = 0; i < n; i++) cin >> v[i];
    if(t==0){
        int br = 0;
        for(int i = 0; i < n; i++){
            if(v[i] >= 0){
                br++;
            }
        }
        if ( (n%2)==(k%2) && (n > k) && (br>=k) ){
            cout << "DA\n";
        }else{
            cout << "NE\n";
        }
    }
    return 0;
}